Name:			polari
Version:		3.11.1
Release:		0%{?dist}
Summary:		GNOME IRC Client
License:		GPLv2
URL:			https://git.gnome.org/browse/polari
Source0:		polari-3.11.1.tar.gz
BuildRequires:		gtk3-devel >= 3.9
BuildRequires:		telepathy-glib-devel
BuildRequires:		gnome-common
BuildRequires:		gobject-introspection-devel
BuildRequires:		intltool
BuildRequires:		gjs-devel
BuildRequires:		desktop-file-utils


%description
GNOME IRC Client

%prep
%setup -c %{name}-%{version}

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/org.gnome.Polari.desktop
%find_lang %{name}


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :


%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files
%doc COPYING
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/appdata/org.gnome.Polari.appdata.xml
%{_datadir}/applications/org.gnome.Polari.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/dbus-1/services/org.gnome.Polari.service
%{_datadir}/glib-2.0/schemas/org.gnome.polari.gschema.xml
%{_datadir}/locale/*/LC_MESSAGES/polari.mo

%changelog
* Thu Oct 24 2013 Ryan Lerch <ryanlerch@fedoraproject.org> - 3.11.1-0
- initial package
